package starcrypto

import (
	"golang.org/x/crypto/ripemd160"
)

func RipeMd160(bstr []byte) []byte {
	ripe := ripemd160.New()
	ripe.Write(bstr)
	return ripe.Sum(nil)
}

func RipeMd160Str(bstr []byte) string {
	return String(RipeMd160(bstr))
}
