package starcrypto

import (
	"b612.me/starcrypto/sm3"
)

func SM3(bstr []byte) []byte {
	sm3sum := sm3.New()
	sm3sum.Write(bstr)
	return sm3sum.Sum(nil)
}

func SM3Str(bstr []byte) string {
	return String(SM3(bstr))
}
